swagger: '2.0'
info:
    description: apiformation API documentation
    version: 0.0.1
    title: apiformation API
    contact: {}
    license:
        name: unlicensed
host: '192.168.1.35:8080'
basePath: /
tags:
    - name: account-resource
      description: Account Resource
    - name: client-resource
      description: Client Resourcelocalhost
    - name: compte-resource
      description: Compte Resource
    - name: user-jwt-controller
      description: User JWT Controller
    - name: user-resource
      description: User Resource
paths:
    /api/account:
        get:
            tags:
                - account-resource
            summary: getAccount
            operationId: getAccountUsingGET
            produces:
                - '*/*'
            responses:
                '200':
                    description: OK
                    schema:
                        $ref: '#/definitions/UserDTO'
                '401':
                    description: Unauthorized
                '403':
                    description: Forbidden
                '404':
                    description: Not Found
            deprecated: false
        post:
            tags:
                - account-resource
            summary: saveAccount
            operationId: saveAccountUsingPOST
            consumes:
                - application/json
            produces:
                - '*/*'
            parameters:
                - in: body
                  name: userDTO
                  description: userDTO
                  required: true
                  schema:
                      $ref: '#/definitions/UserDTO'
            responses:
                '200':
                    description: OK
                '201':
                    description: Created
                '401':
                    description: Unauthorized
                '403':
                    description: Forbidden
                '404':
                    description: Not Found
            deprecated: false
    /api/account/change-password:
        post:
            tags:
                - account-resource
            summary: changePassword
            operationId: changePasswordUsingPOST
            consumes:
                - application/json
            produces:
                - '*/*'
            parameters:
                - in: body
                  name: passwordChangeDto
                  description: passwordChangeDto
                  required: true
                  schema:
                      $ref: '#/definitions/PasswordChangeDTO'
            responses:
                '200':
                    description: OK
                '201':
                    description: Created
                '401':
                    description: Unauthorized
                '403':
                    description: Forbidden
                '404':
                    description: Not Found
            deprecated: false
    /api/account/reset-password/finish:
        post:
            tags:
                - account-resource
            summary: finishPasswordReset
            operationId: finishPasswordResetUsingPOST
            consumes:
                - application/json
            produces:
                - '*/*'
            parameters:
                - in: body
                  name: keyAndPassword
                  description: keyAndPassword
                  required: true
                  schema:
                      $ref: '#/definitions/KeyAndPasswordVM'
            responses:
                '200':
                    description: OK
                '201':
                    description: Created
                '401':
                    description: Unauthorized
                '403':
                    description: Forbidden
                '404':
                    description: Not Found
            deprecated: false
    /api/account/reset-password/init:
        post:
            tags:
                - account-resource
            summary: requestPasswordReset
            operationId: requestPasswordResetUsingPOST
            consumes:
                - application/json
            produces:
                - '*/*'
            parameters:
                - in: body
                  name: mail
                  description: mail
                  required: true
                  schema:
                      type: string
            responses:
                '200':
                    description: OK
                '201':
                    description: Created
                '401':
                    description: Unauthorized
                '403':
                    description: Forbidden
                '404':
                    description: Not Found
            deprecated: false
    /api/activate:
        get:
            tags:
                - account-resource
            summary: activateAccount
            operationId: activateAccountUsingGET
            produces:
                - '*/*'
            parameters:
                - name: key
                  in: query
                  description: key
                  required: true
                  type: string
            responses:
                '200':
                    description: OK
                '401':
                    description: Unauthorized
                '403':
                    description: Forbidden
                '404':
                    description: Not Found
            deprecated: false
    /api/authenticate:
        get:
            tags:
                - account-resource
            summary: isAuthenticated
            operationId: isAuthenticatedUsingGET
            produces:
                - '*/*'
            responses:
                '200':
                    description: OK
                    schema:
                        type: string
                '401':
                    description: Unauthorized
                '403':
                    description: Forbidden
                '404':
                    description: Not Found
            deprecated: false
        post:
            tags:
                - user-jwt-controller
            summary: authorize
            operationId: authorizeUsingPOST
            consumes:
                - application/json
            produces:
                - '*/*'
            parameters:
                - in: body
                  name: loginVM
                  description: loginVM
                  required: true
                  schema:
                      $ref: '#/definitions/LoginVM'
            responses:
                '200':
                    description: OK
                    schema:
                        $ref: '#/definitions/JWTToken'
                '201':
                    description: Created
                '401':
                    description: Unauthorized
                '403':
                    description: Forbidden
                '404':
                    description: Not Found
            deprecated: false
    /api/clients:
        get:
            tags:
                - client-resource
            summary: getAllClients
            operationId: getAllClientsUsingGET
            produces:
                - '*/*'
            parameters:
                - name: page
                  in: query
                  description: Page number of the requested page
                  required: false
                  type: integer
                  format: int32
                - name: size
                  in: query
                  description: Size of a page
                  required: false
                  type: integer
                  format: int32
                - name: sort
                  in: query
                  description: 'Sorting criteria in the format: property(,asc|desc). Default sort order is ascending. Multiple sort criteria are supported.'
                  required: false
                  type: array
                  items:
                      type: string
                  collectionFormat: multi
            responses:
                '200':
                    description: OK
                    schema:
                        type: array
                        items:
                            $ref: '#/definitions/ClientDTO'
                '401':
                    description: Unauthorized
                '403':
                    description: Forbidden
                '404':
                    description: Not Found
            deprecated: false
        post:
            tags:
                - client-resource
            summary: createClient
            operationId: createClientUsingPOST
            consumes:
                - application/json
            produces:
                - '*/*'
            parameters:
                - in: body
                  name: clientDTO
                  description: clientDTO
                  required: true
                  schema:
                      $ref: '#/definitions/ClientDTO'
            responses:
                '200':
                    description: OK
                    schema:
                        $ref: '#/definitions/ClientDTO'
                '201':
                    description: Created
                '401':
                    description: Unauthorized
                '403':
                    description: Forbidden
                '404':
                    description: Not Found
            deprecated: false
        put:
            tags:
                - client-resource
            summary: updateClient
            operationId: updateClientUsingPUT
            consumes:
                - application/json
            produces:
                - '*/*'
            parameters:
                - in: body
                  name: clientDTO
                  description: clientDTO
                  required: true
                  schema:
                      $ref: '#/definitions/ClientDTO'
            responses:
                '200':
                    description: OK
                    schema:
                        $ref: '#/definitions/ClientDTO'
                '201':
                    description: Created
                '401':
                    description: Unauthorized
                '403':
                    description: Forbidden
                '404':
                    description: Not Found
            deprecated: false
    '/api/clients/{id}':
        get:
            tags:
                - client-resource
            summary: getClient
            operationId: getClientUsingGET
            produces:
                - '*/*'
            parameters:
                - name: id
                  in: path
                  description: id
                  required: true
                  type: integer
                  format: int64
            responses:
                '200':
                    description: OK
                    schema:
                        $ref: '#/definitions/ClientDTO'
                '401':
                    description: Unauthorized
                '403':
                    description: Forbidden
                '404':
                    description: Not Found
            deprecated: false
        delete:
            tags:
                - client-resource
            summary: deleteClient
            operationId: deleteClientUsingDELETE
            produces:
                - '*/*'
            parameters:
                - name: id
                  in: path
                  description: id
                  required: true
                  type: integer
                  format: int64
            responses:
                '200':
                    description: OK
                '204':
                    description: No Content
                '401':
                    description: Unauthorized
                '403':
                    description: Forbidden
            deprecated: false
    /api/comptes:
        get:
            tags:
                - compte-resource
            summary: getAllComptes
            operationId: getAllComptesUsingGET
            produces:
                - '*/*'
            parameters:
                - name: page
                  in: query
                  description: Page number of the requested page
                  required: false
                  type: integer
                  format: int32
                - name: size
                  in: query
                  description: Size of a page
                  required: false
                  type: integer
                  format: int32
                - name: sort
                  in: query
                  description: 'Sorting criteria in the format: property(,asc|desc). Default sort order is ascending. Multiple sort criteria are supported.'
                  required: false
                  type: array
                  items:
                      type: string
                  collectionFormat: multi
            responses:
                '200':
                    description: OK
                    schema:
                        type: array
                        items:
                            $ref: '#/definitions/CompteDTO'
                '401':
                    description: Unauthorized
                '403':
                    description: Forbidden
                '404':
                    description: Not Found
            deprecated: false
        post:
            tags:
                - compte-resource
            summary: createCompte
            operationId: createCompteUsingPOST
            consumes:
                - application/json
            produces:
                - '*/*'
            parameters:
                - in: body
                  name: compteDTO
                  description: compteDTO
                  required: true
                  schema:
                      $ref: '#/definitions/CompteDTO'
            responses:
                '200':
                    description: OK
                    schema:
                        $ref: '#/definitions/CompteDTO'
                '201':
                    description: Created
                '401':
                    description: Unauthorized
                '403':
                    description: Forbidden
                '404':
                    description: Not Found
            deprecated: false
        put:
            tags:
                - compte-resource
            summary: updateCompte
            operationId: updateCompteUsingPUT
            consumes:
                - application/json
            produces:
                - '*/*'
            parameters:
                - in: body
                  name: compteDTO
                  description: compteDTO
                  required: true
                  schema:
                      $ref: '#/definitions/CompteDTO'
            responses:
                '200':
                    description: OK
                    schema:
                        $ref: '#/definitions/CompteDTO'
                '201':
                    description: Created
                '401':
                    description: Unauthorized
                '403':
                    description: Forbidden
                '404':
                    description: Not Found
            deprecated: false
    '/api/comptes/{id}':
        get:
            tags:
                - compte-resource
            summary: getCompte
            operationId: getCompteUsingGET
            produces:
                - '*/*'
            parameters:
                - name: id
                  in: path
                  description: id
                  required: true
                  type: integer
                  format: int64
            responses:
                '200':
                    description: OK
                    schema:
                        $ref: '#/definitions/CompteDTO'
                '401':
                    description: Unauthorized
                '403':
                    description: Forbidden
                '404':
                    description: Not Found
            deprecated: false
        delete:
            tags:
                - compte-resource
            summary: deleteCompte
            operationId: deleteCompteUsingDELETE
            produces:
                - '*/*'
            parameters:
                - name: id
                  in: path
                  description: id
                  required: true
                  type: integer
                  format: int64
            responses:
                '200':
                    description: OK
                '204':
                    description: No Content
                '401':
                    description: Unauthorized
                '403':
                    description: Forbidden
            deprecated: false
    /api/internal/clients:
        get:
            tags:
                - client-resource
            summary: getAllClientsinternal
            operationId: getAllClientsinternalUsingGET
            produces:
                - '*/*'
            parameters:
                - name: page
                  in: query
                  description: Page number of the requested page
                  required: false
                  type: integer
                  format: int32
                - name: size
                  in: query
                  description: Size of a page
                  required: false
                  type: integer
                  format: int32
                - name: sort
                  in: query
                  description: 'Sorting criteria in the format: property(,asc|desc). Default sort order is ascending. Multiple sort criteria are supported.'
                  required: false
                  type: array
                  items:
                      type: string
                  collectionFormat: multi
            responses:
                '200':
                    description: OK
                    schema:
                        type: array
                        items:
                            $ref: '#/definitions/ClientDTO'
                '401':
                    description: Unauthorized
                '403':
                    description: Forbidden
                '404':
                    description: Not Found
            deprecated: false
        post:
            tags:
                - client-resource
            summary: createClientinternal
            operationId: createClientinternalUsingPOST
            consumes:
                - application/json
            produces:
                - '*/*'
            parameters:
                - in: body
                  name: clientDTO
                  description: clientDTO
                  required: true
                  schema:
                      $ref: '#/definitions/ClientDTO'
            responses:
                '200':
                    description: OK
                    schema:
                        $ref: '#/definitions/ClientDTO'
                '201':
                    description: Created
                '401':
                    description: Unauthorized
                '403':
                    description: Forbidden
                '404':
                    description: Not Found
            deprecated: false
        put:
            tags:
                - client-resource
            summary: updateClientinternal
            operationId: updateClientinternalUsingPUT
            consumes:
                - application/json
            produces:
                - '*/*'
            parameters:
                - in: body
                  name: clientDTO
                  description: clientDTO
                  required: true
                  schema:
                      $ref: '#/definitions/ClientDTO'
            responses:
                '200':
                    description: OK
                    schema:
                        $ref: '#/definitions/ClientDTO'
                '201':
                    description: Created
                '401':
                    description: Unauthorized
                '403':
                    description: Forbidden
                '404':
                    description: Not Found
            deprecated: false
    '/api/internal/clients/{id}':
        get:
            tags:
                - client-resource
            summary: getClientinternal
            operationId: getClientinternalUsingGET
            produces:
                - '*/*'
            parameters:
                - name: id
                  in: path
                  description: id
                  required: true
                  type: integer
                  format: int64
            responses:
                '200':
                    description: OK
                    schema:
                        $ref: '#/definitions/ClientDTO'
                '401':
                    description: Unauthorized
                '403':
                    description: Forbidden
                '404':
                    description: Not Found
            deprecated: false
        delete:
            tags:
                - client-resource
            summary: deleteClientinternal
            operationId: deleteClientinternalUsingDELETE
            produces:
                - '*/*'
            parameters:
                - name: id
                  in: path
                  description: id
                  required: true
                  type: integer
                  format: int64
            responses:
                '200':
                    description: OK
                '204':
                    description: No Content
                '401':
                    description: Unauthorized
                '403':
                    description: Forbidden
            deprecated: false
    /api/internal/comptes:
        get:
            tags:
                - compte-resource
            summary: getAllComptesinternal
            operationId: getAllComptesinternalUsingGET
            produces:
                - '*/*'
            parameters:
                - name: page
                  in: query
                  description: Page number of the requested page
                  required: false
                  type: integer
                  format: int32
                - name: size
                  in: query
                  description: Size of a page
                  required: false
                  type: integer
                  format: int32
                - name: sort
                  in: query
                  description: 'Sorting criteria in the format: property(,asc|desc). Default sort order is ascending. Multiple sort criteria are supported.'
                  required: false
                  type: array
                  items:
                      type: string
                  collectionFormat: multi
            responses:
                '200':
                    description: OK
                    schema:
                        type: array
                        items:
                            $ref: '#/definitions/CompteDTO'
                '401':
                    description: Unauthorized
                '403':
                    description: Forbidden
                '404':
                    description: Not Found
            deprecated: false
        post:
            tags:
                - compte-resource
            summary: createCompteinternal
            operationId: createCompteinternalUsingPOST
            consumes:
                - application/json
            produces:
                - '*/*'
            parameters:
                - in: body
                  name: compteDTO
                  description: compteDTO
                  required: true
                  schema:
                      $ref: '#/definitions/CompteDTO'
            responses:
                '200':
                    description: OK
                    schema:
                        $ref: '#/definitions/CompteDTO'
                '201':
                    description: Created
                '401':
                    description: Unauthorized
                '403':
                    description: Forbidden
                '404':
                    description: Not Found
            deprecated: false
        put:
            tags:
                - compte-resource
            summary: updateCompteinternal
            operationId: updateCompteinternalUsingPUT
            consumes:
                - application/json
            produces:
                - '*/*'
            parameters:
                - in: body
                  name: compteDTO
                  description: compteDTO
                  required: true
                  schema:
                      $ref: '#/definitions/CompteDTO'
            responses:
                '200':
                    description: OK
                    schema:
                        $ref: '#/definitions/CompteDTO'
                '201':
                    description: Created
                '401':
                    description: Unauthorized
                '403':
                    description: Forbidden
                '404':
                    description: Not Found
            deprecated: false
    '/api/internal/comptes/{id}':
        get:
            tags:
                - compte-resource
            summary: getCompteinternal
            operationId: getCompteinternalUsingGET
            produces:
                - '*/*'
            parameters:
                - name: id
                  in: path
                  description: id
                  required: true
                  type: integer
                  format: int64
            responses:
                '200':
                    description: OK
                    schema:
                        $ref: '#/definitions/CompteDTO'
                '401':
                    description: Unauthorized
                '403':
                    description: Forbidden
                '404':
                    description: Not Found
            deprecated: false
        delete:
            tags:
                - compte-resource
            summary: deleteCompteinternal
            operationId: deleteCompteinternalUsingDELETE
            produces:
                - '*/*'
            parameters:
                - name: id
                  in: path
                  description: id
                  required: true
                  type: integer
                  format: int64
            responses:
                '200':
                    description: OK
                '204':
                    description: No Content
                '401':
                    description: Unauthorized
                '403':
                    description: Forbidden
            deprecated: false
    '/api/internal/comptes/{id}/clients/{idClient}':
        get:
            tags:
                - compte-resource
            summary: getCompteClientinternal
            operationId: getCompteClientinternalUsingGET
            produces:
                - '*/*'
            parameters:
                - name: id
                  in: path
                  description: id
                  required: true
                  type: integer
                  format: int64
                - name: idClient
                  in: path
                  description: idClient
                  required: true
                  type: integer
                  format: int64
            responses:
                '200':
                    description: OK
                    schema:
                        $ref: '#/definitions/InfoCompte'
                '401':
                    description: Unauthorized
                '403':
                    description: Forbidden
                '404':
                    description: Not Found
            deprecated: false
    /api/internal/random-comptes:
        get:
            tags:
                - compte-resource
            summary: getRandomPublicComptes
            operationId: getRandomPublicComptesUsingGET
            produces:
                - application/json
            parameters:
                - name: page
                  in: query
                  description: Page number of the requested page
                  required: false
                  type: integer
                  format: int32
                - name: size
                  in: query
                  description: Size of a page
                  required: false
                  type: integer
                  format: int32
                - name: sort
                  in: query
                  description: 'Sorting criteria in the format: property(,asc|desc). Default sort order is ascending. Multiple sort criteria are supported.'
                  required: false
                  type: array
                  items:
                      type: string
                  collectionFormat: multi
            responses:
                '200':
                    description: OK
                    schema:
                        $ref: '#/definitions/CompteDTO'
                '401':
                    description: Unauthorized
                '403':
                    description: Forbidden
                '404':
                    description: Not Found
            deprecated: false
    /api/internal/xml/comptes:
        get:
            tags:
                - compte-resource
            summary: getAllComptesinternalXML
            operationId: getAllComptesinternalXMLUsingGET
            produces:
                - application/json
            parameters:
                - name: page
                  in: query
                  description: Page number of the requested page
                  required: false
                  type: integer
                  format: int32
                - name: size
                  in: query
                  description: Size of a page
                  required: false
                  type: integer
                  format: int32
                - name: sort
                  in: query
                  description: 'Sorting criteria in the format: property(,asc|desc). Default sort order is ascending. Multiple sort criteria are supported.'
                  required: false
                  type: array
                  items:
                      type: string
                  collectionFormat: multi
            responses:
                '200':
                    description: OK
                    schema:
                        type: array
                        items:
                            $ref: '#/definitions/CompteDTO'
                '401':
                    description: Unauthorized
                '403':
                    description: Forbidden
                '404':
                    description: Not Found
            deprecated: false
    /api/public/clients:
        get:
            tags:
                - client-resource
            summary: getAllClientsPublic
            operationId: getAllClientsPublicUsingGET
            produces:
                - '*/*'
            parameters:
                - name: page
                  in: query
                  description: Page number of the requested page
                  required: false
                  type: integer
                  format: int32
                - name: size
                  in: query
                  description: Size of a page
                  required: false
                  type: integer
                  format: int32
                - name: sort
                  in: query
                  description: 'Sorting criteria in the format: property(,asc|desc). Default sort order is ascending. Multiple sort criteria are supported.'
                  required: false
                  type: array
                  items:
                      type: string
                  collectionFormat: multi
            responses:
                '200':
                    description: OK
                    schema:
                        type: array
                        items:
                            $ref: '#/definitions/ClientDTO'
                '401':
                    description: Unauthorized
                '403':
                    description: Forbidden
                '404':
                    description: Not Found
            deprecated: false
    /api/register:
        post:
            tags:
                - account-resource
            summary: registerAccount
            operationId: registerAccountUsingPOST
            consumes:
                - application/json
            produces:
                - '*/*'
            parameters:
                - in: body
                  name: managedUserVM
                  description: managedUserVM
                  required: true
                  schema:
                      $ref: '#/definitions/ManagedUserVM'
            responses:
                '201':
                    description: Created
                '401':
                    description: Unauthorized
                '403':
                    description: Forbidden
                '404':
                    description: Not Found
            deprecated: false
    /api/users:
        get:
            tags:
                - user-resource
            summary: getAllUsers
            operationId: getAllUsersUsingGET
            produces:
                - '*/*'
            parameters:
                - name: page
                  in: query
                  description: Page number of the requested page
                  required: false
                  type: integer
                  format: int32
                - name: size
                  in: query
                  description: Size of a page
                  required: false
                  type: integer
                  format: int32
                - name: sort
                  in: query
                  description: 'Sorting criteria in the format: property(,asc|desc). Default sort order is ascending. Multiple sort criteria are supported.'
                  required: false
                  type: array
                  items:
                      type: string
                  collectionFormat: multi
            responses:
                '200':
                    description: OK
                    schema:
                        type: array
                        items:
                            $ref: '#/definitions/UserDTO'
                '401':
                    description: Unauthorized
                '403':
                    description: Forbidden
                '404':
                    description: Not Found
            deprecated: false
        post:
            tags:
                - user-resource
            summary: createUser
            operationId: createUserUsingPOST
            consumes:
                - application/json
            produces:
                - '*/*'
            parameters:
                - in: body
                  name: userDTO
                  description: userDTO
                  required: true
                  schema:
                      $ref: '#/definitions/UserDTO'
            responses:
                '200':
                    description: OK
                    schema:
                        $ref: '#/definitions/User'
                '201':
                    description: Created
                '401':
                    description: Unauthorized
                '403':
                    description: Forbidden
                '404':
                    description: Not Found
            deprecated: false
        put:
            tags:
                - user-resource
            summary: updateUser
            operationId: updateUserUsingPUT
            consumes:
                - application/json
            produces:
                - '*/*'
            parameters:
                - in: body
                  name: userDTO
                  description: userDTO
                  required: true
                  schema:
                      $ref: '#/definitions/UserDTO'
            responses:
                '200':
                    description: OK
                    schema:
                        $ref: '#/definitions/UserDTO'
                '201':
                    description: Created
                '401':
                    description: Unauthorized
                '403':
                    description: Forbidden
                '404':
                    description: Not Found
            deprecated: false
    /api/users/authorities:
        get:
            tags:
                - user-resource
            summary: getAuthorities
            operationId: getAuthoritiesUsingGET
            produces:
                - '*/*'
            responses:
                '200':
                    description: OK
                    schema:
                        type: array
                        items:
                            type: string
                '401':
                    description: Unauthorized
                '403':
                    description: Forbidden
                '404':
                    description: Not Found
            deprecated: false
    '/api/users/{login}':
        get:
            tags:
                - user-resource
            summary: getUser
            operationId: getUserUsingGET
            produces:
                - '*/*'
            parameters:
                - name: login
                  in: path
                  description: login
                  required: true
                  type: string
            responses:
                '200':
                    description: OK
                    schema:
                        $ref: '#/definitions/UserDTO'
                '401':
                    description: Unauthorized
                '403':
                    description: Forbidden
                '404':
                    description: Not Found
            deprecated: false
        delete:
            tags:
                - user-resource
            summary: deleteUser
            operationId: deleteUserUsingDELETE
            produces:
                - '*/*'
            parameters:
                - name: login
                  in: path
                  description: login
                  required: true
                  type: string
            responses:
                '200':
                    description: OK
                '204':
                    description: No Content
                '401':
                    description: Unauthorized
                '403':
                    description: Forbidden
            deprecated: false
definitions:
    ClientDTO:
        type: object
        required:
            - mail
            - nom
            - prenom
            - telephone
        properties:
            id:
                type: integer
                format: int64
            mail:
                type: string
            nom:
                type: string
            prenom:
                type: string
            telephone:
                type: string
        title: ClientDTO
    CompteDTO:
        type: object
        required:
            - nom
        properties:
            clientId:
                type: integer
                format: int64
            id:
                type: integer
                format: int64
            nom:
                type: string
            numero:
                type: integer
                format: int32
            solde:
                type: number
                format: double
        title: CompteDTO
    InfoCompte:
        type: object
        properties:
            clientDTO:
                $ref: '#/definitions/ClientDTO'
            compteDTO:
                $ref: '#/definitions/CompteDTO'
        title: InfoCompte
    JWTToken:
        type: object
        properties:
            id_token:
                type: string
        title: JWTToken
    KeyAndPasswordVM:
        type: object
        properties:
            key:
                type: string
            newPassword:
                type: string
        title: KeyAndPasswordVM
    LoginVM:
        type: object
        required:
            - password
            - username
        properties:
            password:
                type: string
                minLength: 4
                maxLength: 100
            rememberMe:
                type: boolean
            username:
                type: string
                minLength: 1
                maxLength: 50
        title: LoginVM
    ManagedUserVM:
        type: object
        properties:
            activated:
                type: boolean
            authorities:
                type: array
                items:
                    type: string
            createdBy:
                type: string
            createdDate:
                type: string
                format: date-time
            email:
                type: string
                minLength: 5
                maxLength: 254
            firstName:
                type: string
                minLength: 0
                maxLength: 50
            id:
                type: integer
                format: int64
            imageUrl:
                type: string
                minLength: 0
                maxLength: 256
            langKey:
                type: string
                minLength: 2
                maxLength: 10
            lastModifiedBy:
                type: string
            lastModifiedDate:
                type: string
                format: date-time
            lastName:
                type: string
                minLength: 0
                maxLength: 50
            login:
                type: string
                minLength: 1
                maxLength: 50
                pattern: '^[a-zA-Z0-9!$&*+=?^_`{|}~.-]$'
            password:
                type: string
                minLength: 4
                maxLength: 100
        title: ManagedUserVM
    PasswordChangeDTO:
        type: object
        properties:
            currentPassword:
                type: string
            newPassword:
                type: string
        title: PasswordChangeDTO
    User:
        type: object
        required:
            - activated
            - login
        properties:
            activated:
                type: boolean
            email:
                type: string
                minLength: 5
                maxLength: 254
            firstName:
                type: string
                minLength: 0
                maxLength: 50
            id:
                type: integer
                format: int64
            imageUrl:
                type: string
                minLength: 0
                maxLength: 256
            langKey:
                type: string
                minLength: 2
                maxLength: 10
            lastName:
                type: string
                minLength: 0
                maxLength: 50
            login:
                type: string
                minLength: 1
                maxLength: 50
                pattern: '^[a-zA-Z0-9!$&*+=?^_`{|}~.-]$'
            resetDate:
                type: string
                format: date-time
        title: User
    UserDTO:
        type: object
        properties:
            activated:
                type: boolean
            authorities:
                type: array
                items:
                    type: string
            createdBy:
                type: string
            createdDate:
                type: string
                format: date-time
            email:
                type: string
                minLength: 5
                maxLength: 254
            firstName:
                type: string
                minLength: 0
                maxLength: 50
            id:
                type: integer
                format: int64
            imageUrl:
                type: string
                minLength: 0
                maxLength: 256
            langKey:
                type: string
                minLength: 2
                maxLength: 10
            lastModifiedBy:
                type: string
            lastModifiedDate:
                type: string
                format: date-time
            lastName:
                type: string
                minLength: 0
                maxLength: 50
            login:
                type: string
                minLength: 1
                maxLength: 50
                pattern: '^[a-zA-Z0-9!$&*+=?^_`{|}~.-]$'
        title: UserDTO
